@echo off
rem ---------------------------------------------------------------------------
rem build.bat -- Build Script for the "Struts" Toolkit
rem
rem Supported Environment Variables (default values in square brackets):
rem
rem   JAVA_HOME             Java Development Kit directory. [REQUIRED]
rem
rem   RTK_HOME              Location of the EPP RTK.
rem                         [\epp-rtk]
rem
rem $Id: build.bat,v 1.3 2004/01/30 22:02:24 tubadanm Exp $
rem ---------------------------------------------------------------------------


rem ----- Save Environment Variables That May Change --------------------------

set _RTK_HOME=%RTK_HOME%

rem ----- Verify and Set Required Environment Variables -----------------------

if not "%JAVA_HOME%" == "" goto gotJavaHome
  echo You must set JAVA_HOME to point to your Java Development Kit directory
  goto cleanUp
:gotJavaHome

if not "%RTK_HOME%" == "" goto gotRtkHome
  echo You must set RTK_HOME to point to your installation of the Java EPP RTK
  goto cleanUp
:gotRtkHome

if not "%ADDON_HOME%" == "" goto gotAddonHome
  echo You must set ADDON_HOME to point to your installation of the Afilias Java RTK Addon package
  goto cleanUp
:gotAddonHome

rem ----- Set Up The Runtime Classpath ----------------------------------------

if "%CLASSPATH%" == "" goto noClasspath
set CP=%RTK_HOME%\java\lib\ant.jar;%RTK_HOME%\java\lib\xerces.jar;%RTK_HOME%\java\lib\epp-rtk-java.jar;%JAVA_HOME%\lib\tools.jar;%ADDON_HOME%\java\lib\IDNSDK.jar;%CLASSPATH%
goto gotClasspath
:noClasspath
set CP=%RTK_HOME%\java\lib\ant.jar;%RTK_HOME%\java\lib\xerces.jar;%RTK_HOME%\java\lib\epp-rtk-java.jar;%JAVA_HOME%\lib\tools.jar;%ADDON_HOME%\java\lib\IDNSDK.jar
:gotClasspath


rem ----- Execute The Requested Build -----------------------------------------

%JAVA_HOME%\bin\java %ANT_OPTS% -classpath "%CP%" org.apache.tools.ant.Main -Dant.home=%ANT_HOME% %1 %2 %3 %4 %5 %6 %7 %8 %9


rem ----- Clean Up Environment Variables --------------------------------------

:cleanup

set RTK_HOME=%_RTK_HOME%

set _RTK_HOME=
