#! /bin/sh
# -----------------------------------------------------------------------------
# build.sh -- Build Script for the "Struts" Toolkit
#
# Supported Environment Variables (default values in square brackets):
#
#   JAVA_HOME             Java Development Kit directory. [REQUIRED]
#
#   RTK_HOME              Location of the EPP RTK.
#                         [$HOME/epp-rtk]
#
# $Id: build.sh,v 1.2 2003/12/12 19:42:01 tubadanm Exp $
# -----------------------------------------------------------------------------


# ----- Verify and Set Required Environment Variables -------------------------

if [ "$JAVA_HOME" = "" ] ; then
  echo You must set JAVA_HOME to point at your Java Development Kit directory
  exit 1
fi

if [ "$RTK_HOME" = "" ] ; then
  RTK_HOME=$HOME/epp-rtk
fi

if [ "$ADDON_HOME" = "" ] ; then
  ADDON_HOME=$HOME/liberty-rtk-addon
fi

# ----- Set Up The Runtime Classpath ------------------------------------------

if [ "$CLASSPATH" = "" ] ; then
  CP=$RTK_HOME/java/lib/ant.jar:$RTK_HOME/java/lib/xerces.jar:$RTK_HOME/java/lib/epp-rtk-java.jar:$JAVA_HOME/lib/tools.jar:$ADDON_HOME/java/lib/IDNSDK.jar
else
  CP=$RTK_HOME/java/lib/ant.jar:$RTK_HOME/java/lib/xerces.jar:$RTK_HOME/java/lib/epp-rtk-java.jar:$JAVA_HOME/lib/tools.jar:$ADDON_HOME/java/lib/IDNSDK.jar:$CLASSPATH
fi

# ----- Execute The Requested Build -------------------------------------------

echo $CP
java $ANT_OPTS -classpath "$CP" org.apache.tools.ant.Main \
 -Dant.home=$ANT_HOME \
 "$@"
